Package org.springframework.security.core

# Interface GrantedAuthority

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `JaasGrantedAuthority`, `SimpleGrantedAuthority`

public interface GrantedAuthority extends Serializable
Represents an authority granted to an `Authentication` object.

A `GrantedAuthority` must either represent itself as a `String` or be specifically supported by an `AccessDecisionManager`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthority()`
If the `GrantedAuthority` can be represented as a `String` and that `String` is sufficient in precision to be relied upon for an access control decision by an `AccessDecisionManager` (or delegate), this method should return such a `String`.

## Method Details

### getAuthority

String getAuthority()
If the `GrantedAuthority` can be represented as a `String` and that `String` is sufficient in precision to be relied upon for an access control decision by an `AccessDecisionManager` (or delegate), this method should return such a `String`.

If the `GrantedAuthority` cannot be expressed with sufficient precision as a `String`, `null` should be returned. Returning `null` will require an `AccessDecisionManager` (or delegate) to specifically support the `GrantedAuthority` implementation, so returning `null` should be avoided unless actually required.

Returns:
  a representation of the granted authority (or `null` if the granted authority cannot be expressed as a `String` with sufficient precision).